aom_partition_features_before_none Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

Features pass to the external model to make partition decisions. Specifically, features collected before NONE partition. Features "f" are used to determine: partition_none_allowed, partition_horz_allowed, partition_vert_allowed, do_rectangular_split, do_square_split Features "f_part2" are used to determine: prune_horz, prune_vert. More...

`#include <aom_external_partition.h>`

## Data Fields

float | f [17]
float | f_part2 [25]

## Detailed Description

Features pass to the external model to make partition decisions. Specifically, features collected before NONE partition. Features "f" are used to determine: partition_none_allowed, partition_horz_allowed, partition_vert_allowed, do_rectangular_split, do_square_split Features "f_part2" are used to determine: prune_horz, prune_vert.

## Field Documentation

## f

float aom_partition_features_before_none::f[17]

features to determine whether skip partition none and do split directly

## f_part2

float aom_partition_features_before_none::f_part2[25]

features to determine whether to prune rectangular partition

The documentation for this struct was generated from the following file:

- aom/aom_external_partition.h